Error:Could not find com.android.tools.build:gradle:2.1.1


Error:Could not find com.android.tools.build:gradle:2.1.1.
Searched in the following locations:
    file:/D:/Android/android-studio_2.0_beta/gradle/m2repository/com/android/tools/build/gradle/2.1.1/gradle-2.1.1.pom
    file:/D:/Android/android-studio_2.0_beta/gradle/m2repository/com/android/tools/build/gradle/2.1.1/gradle-2.1.1.jar
    https://repo1.maven.org/maven2/com/android/tools/build/gradle/2.1.1/gradle-2.1.1.pom
    https://repo1.maven.org/maven2/com/android/tools/build/gradle/2.1.1/gradle-2.1.1.jar
    https://oss.sonatype.org/content/repositories/snapshots/com/android/tools/build/gradle/2.1.1/gradle-2.1.1.pom
    https://oss.sonatype.org/content/repositories/snapshots/com/android/tools/build/gradle/2.1.1/gradle-2.1.1.jar
Required by:
    :ponch:unspecified
 
 
 Error:(49, 0) Gradle: A problem occurred evaluating root project 'ponch'.
> Failed to apply plugin [id 'android']
   > Gradle version 2.2 is required. Current version is 2.10. If using the gradle wrapper, try editing the distributionUrl in C:\Users\combo\.AndroidStudioPreview2.0\system\compile-server\gradle\wrapper\gradle-wrapper.properties to gradle-2.2-all.zip
   
   
   
   
===========================================================================================   
   Open gradle-wrapper.properties
Change this line:

 distributionUrl=https\://services.gradle.org/distributions/gradle-2.4-all.zip
with

        distributionUrl=https\://services.gradle.org/distributions/gradle-2.8-all.zip
Go to build.gradle (Project: your_app_name)
Change this line

 classpath 'com.android.tools.build:gradle:XXX'
to this

     classpath 'com.android.tools.build:gradle:2.0-alpha3'
or

     classpath 'com.android.tools.build:gradle:1.5.0'
Don't click Sync Now
From menu choose File -> Invalidate Caches/Restart...
Choose first option: Invalidate and Restart
Android Studio would restart. After this, it should work normally

Hope it help